#
# spec file for package firefox3-atk (Version 1.12.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           firefox3-atk
BuildRequires:  firefox3-glib2-devel gcc-c++ gtkdoc intltool perl-XML-Parser sgml-skel xorg-x11-devel
%define prefix /usr/%_lib/firefox
%define sysconfdir %{prefix}/etc
Summary:        An Accessibility ToolKit
Version:        1.12.3
Release:        0.6.27
License:        LGPL v2.1 or later
Group:          System/Libraries
AutoReqProv:    off
Requires:       firefox3-glib2
Source:         ftp://ftp.gnome.org/pub/gnome/sources/atk/1.6/atk-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.gtk.org/

%description
The ATK library provides a set of accessibility interfaces. By
supporting the ATK interfaces, an application or toolkit can be used
with screen readers, magnifiers, and alternate input devices.

This package is provided for Firefox back-port on SLE10.



Authors:
--------
    Bill.Haneman <bill.haneman@sun.com>
    Marc.Mulcahy <marc.mulcahy@sun.com>
    Padraig.Obriain <padraig.obriain@sun.com>

%package devel
License:        LGPL v2.1 or later
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
AutoReqProv:    off
Requires:       %{name} = %{version}
Requires:       firefox3-glib2-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

This package is provided for Firefox back-port on SLE10.



Authors:
--------
    Bill.Haneman <bill.haneman@sun.com>
    Marc.Mulcahy <marc.mulcahy@sun.com>
    Padraig.Obriain <padraig.obriain@sun.com>

%package doc
License:        LGPL v2.1 or later
Summary:        Additional Package Documentation for atk
Group:          System/Libraries
AutoReqProv:    off
Requires:       %{name} = %{version}
Requires:       gnome-filesystem

%description doc
This package contains additional documentation for the ATK Library.

This package is provided for Firefox back-port on SLE10.



Authors:
--------
    Bill.Haneman <bill.haneman@sun.com>
    Marc.Mulcahy <marc.mulcahy@sun.com>
    Padraig.Obriain <padraig.obriain@sun.com>

%prep
%setup -q -n atk-%{version}

%build
export LD_LIBRARY_PATH=%{prefix}/%_lib:$LD_LIBRARY_PATH
export PKG_CONFIG_PATH=%{prefix}/%_lib/pkgconfig:$PKG_CONFIG_PATH
export PATH=%{prefix}/bin:$PATH
%{?suse_update_config:%{suse_update_config -f}}
#autoreconf -I %{prefix}/share/aclocal -f -i
aclocal -I %{prefix}/share/aclocal  
libtoolize --force  
automake -a  
autoconf  
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
    --localstatedir=/var%{prefix} --libdir=%{prefix}/%_lib \
    --sysconfdir=%{sysconfdir} --disable-gtk-doc 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang atk10

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %files -f atk10.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/%{_lib}/lib*.so.*
%dir %{prefix}/share
%{prefix}/share/locale

%files devel
%defattr(-, root, root)
%{prefix}/%{_lib}/lib*.so
%{prefix}/%{_lib}/lib*.*a
%{prefix}/%{_lib}/pkgconfig/*.pc
%{prefix}/include/atk-1.0

%files doc
%defattr(-, root, root)
%{prefix}/share/gtk-doc/html/atk
%dir %{prefix}/share/gtk-doc
%dir %{prefix}/share/gtk-doc/html

%changelog
* Tue Jun 23 2009 lrupp@suse.de
- disable autoreqprov in baselibs.conf
* Mon Jun 22 2009 kukuk@suse.de
- Add baselibs.conf
* Wed Jun  3 2009 pwu@suse.de
- Imported atk 1.12.3 from openSUSE 10.2,
  and rename it to firefox3-atk to back port Firefox 3.0 for SLE10.
